Forms
Dynamic form generation and submission
Returns the form schema and configuration for generating a form UI.
Form identifier
Form schema retrieved
Dynamic form with JSON schema defining field definitions, validation rules, and actions. Used for generating form UIs and processing form submissions. Supports multi-language translations and pretty URLs. The schema defines input types, labels, and required fields.
1Contact Form/contact/cms/form.htmltrueForm not found or not active
GET /forms/{form_id}/generate HTTP/1.1
Host: sandbox.akinon.com
Accept: */*
{
"pk": 1,
"name": "Contact Form",
"url": "/contact/",
"schema": {
"name": {
"input_type": "text",
"label": "Name",
"required": true
},
"email": {
"input_type": "email",
"label": "Email",
"required": true
}
},
"template": "cms/form.html",
"is_active": true,
"pretty_url": {
"url": "text"
},
"formprettyurl_set": [
{
"pk": 1,
"url": "text",
"language": "text"
}
],
"translations": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created_date": "2026-01-01T00:00:00.000Z",
"modified_date": "2026-01-01T00:00:00.000Z"
}Submits form data for processing. The request body structure depends on the form schema. Returns validation errors if the data does not match the form schema.
Form identifier
Form data structure depends on the form schema
Form submitted successfully
Validation error
Form not found or not active
POST /forms/{form_id}/generate HTTP/1.1
Host: sandbox.akinon.com
Content-Type: application/json
Accept: */*
Content-Length: 38
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}{}Last updated
Was this helpful?

